#ifndef _HT_LAN_DLL_H_H
#define _HT_LAN_DLL_H_H

#ifndef DLL_API
#define DLL_API extern "C" __declspec(dllimport)
#endif
#define WIN_API __stdcall

#include "HTHardDll.h"


DLL_API WORD WINAPI dsoLANInitSocket(WORD nDeviceIndex,WORD* pIP,WORD iPort);

DLL_API WORD WINAPI dsoLANClose(WORD nDeviceIndex);

DLL_API WORD WINAPI dsoLANReadCalibrationData(WORD nDeviceIndex,WORD* pLevel,WORD nLen);

DLL_API WORD WINAPI dsoLANSetSampleRate(WORD nDeviceIndex,WORD nTimeDIV,WORD nYTFormat);

DLL_API WORD WINAPI dsoLANSetCHAndTrigger(WORD nDeviceIndex,RELAYCONTROL RelayControl);

DLL_API WORD WINAPI dsoLANSetTriggerAndSyncOutput(WORD nDeviceIndex,WORD nSynMode,WORD nlaTriggerMode,WORD nTriggerMode,WORD nTriggerSlope,WORD nPWCondition,ULONG nPW,WORD nVideoStandard,WORD nVedioSyncSelect,WORD nVideoHsyncNumOption,WORD nSync);

DLL_API BOOL WINAPI laLanSetTrigSource(WORD DeviceIndex,unsigned char nSour);

DLL_API WORD WINAPI dsoLANSetCHPos(WORD nDeviceIndex,WORD* pLevel,WORD nVoltDIV,WORD nPos,WORD nCH);

DLL_API WORD WINAPI dsoLANSetVTriggerLevel(WORD nDeviceIndex,WORD* pLevel,WORD nPos);

DLL_API WORD WINAPI dsoLANSetHTriggerLength(WORD nDeviceIndex,ULONG nBufferLen,WORD HTriggerPos,WORD nTimeDIV,WORD nYTFormat);

DLL_API BOOL WINAPI laLanSetVolt(WORD DeviceIndex,float Volt1,float Volt2);

DLL_API WORD WINAPI dsoLANStartCollectData(WORD nDeviceIndex);

DLL_API WORD WINAPI dsoLANStartTrigger(WORD nDeviceIndex);

DLL_API WORD WINAPI dsoLANGetState(WORD nDeviceIndex);

DLL_API WORD WINAPI dsoLANForceTrigger(WORD nDeviceIndex);

DLL_API WORD WINAPI dsoLANGetData(WORD nDeviceIndex,WORD* pCH1Data,WORD* pCH2Data,WORD* pCH3Data,WORD* pCH4Data,PCONTROLDATA pControl);


//DDS
DLL_API ULONG WINAPI ddsLANSetOnOff(WORD DeviceIndex,short nOnOff);
DLL_API ULONG WINAPI ddsLANSetFrequency(WORD DeviceIndex,double dbFre,WORD* pWaveNum,WORD* pPeriodNum);
DLL_API ULONG WINAPI ddsLANDownload(WORD DeviceIndex,WORD iWaveNum, WORD* pData);
DLL_API ULONG WINAPI ddsLANSetSyncOut(WORD DeviceIndex, BOOL bEnable);
DLL_API ULONG WINAPI ddsLANSetCmd(WORD DeviceIndex, WORD nSingle);


#endif